/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.j2eeca;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * link all the suites from j2ee connector architecture directories
 */
public class C_j2eeca extends JTestCase {
 
    public C_j2eeca(String name) {
	super(name);
    }

    public static Test suite() {
	TestSuite suite = new TestSuite();

	suite.addTest(C_connector.suite());
    suite.addTest(C_runtime.suite());
    suite.addTest(C_security.suite());
    suite.addTest(C_transaction.suite());
  
	return suite;
    }

    public static void main (String args[]) {

	// suites
	junit.textui.TestRunner.run(suite());

    }
 
}
